ClusterModule [cluster.alauda.io/v1alpha1]

Description
ClusterModule is the Schema for the clustermodules API
Type
object

Specification

PropertyTypeDescription
apiVersionstring

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

kindstring

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

metadataObjectMeta

ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

specobject

ClusterModuleSpec defines the desired state of ClusterModule

statusobject

ClusterModuleStatus defines the observed state of ClusterModule

.spec

Description
ClusterModuleSpec defines the desired state of ClusterModule
Type
object
PropertyTypeDescription
parallelUpgradeboolean

ParallelUpgrade stands for if the upgrading could execute parallelly.

upgradeModulesInfosarray

UpgradeModuleInfos stands for the information to upgrade the modules

valuesOverrideobject

ValuesOverride ...

versionstring

.spec.upgradeModulesInfos

Description
UpgradeModuleInfos stands for the information to upgrade the modules
Type
array

.spec.upgradeModulesInfos[]

Description
UpgradeModuleInfo ...
Type
object
Required
nameversion
PropertyTypeDescription
configobject
namestring
versionstring

.spec.upgradeModulesInfos[].config

Type
object

.spec.valuesOverride

Description
ValuesOverride ...
Type
object

.status

Description
ClusterModuleStatus defines the observed state of ClusterModule
Type
object
Required
editableupgradable
PropertyTypeDescription
appReleasesobject
baseobject

ModuleStatus ...

editableboolean
needUpgradeboolean
syncstring

SyncMethod ...

unableUpgradeReasonstring
upgradableboolean

.status.appReleases

Type
object

.status.base

Description
ModuleStatus ...
Type
object
Required
deployStatusrunningStatus
PropertyTypeDescription
appReleasesarray
deployStatusstring

DeployStatus ...

deployTimestring
lastProbeTimestring
lastTransitionTimestring
logPathstring
messagestring
reasonstring
runningStatusstring

RunningStatus ...

versionstring

.status.base.appReleases

Type
array

.status.base.appReleases[]

Type
string

API Endpoints

The following API endpoints are available:

  • /apis/cluster.alauda.io/v1alpha2/clustermodules
    • DELETE: delete collection of ClusterModule
    • GET: list objects of kind ClusterModule
    • POST: create a new ClusterModule
  • /apis/cluster.alauda.io/v1alpha2/clustermodules/{name}
    • DELETE: delete the specified ClusterModule
    • GET: read the specified ClusterModule
    • PATCH: partially update the specified ClusterModule
    • PUT: replace the specified ClusterModule
  • /apis/cluster.alauda.io/v1alpha2/clustermodules/{name}/status
    • GET: read status of the specified ClusterModule
    • PATCH: partially update status of the specified ClusterModule
    • PUT: replace status of the specified ClusterModule

/apis/cluster.alauda.io/v1alpha2/clustermodules

HTTP method
DELETE
Description
delete collection of ClusterModule
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
list objects of kind ClusterModule
HTTP responses
HTTP codeResponse body
200 - OKClusterModuleList schema
401 - UnauthorizedEmpty
HTTP method
POST
Description
create a new ClusterModule
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyClusterModule schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKClusterModule schema
201 - CreatedClusterModule schema
202 - AcceptedClusterModule schema
401 - UnauthorizedEmpty

/apis/cluster.alauda.io/v1alpha2/clustermodules/{name}

HTTP method
DELETE
Description
delete the specified ClusterModule
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
202 - AcceptedStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
read the specified ClusterModule
HTTP responses
HTTP codeResponse body
200 - OKClusterModule schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update the specified ClusterModule
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKClusterModule schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace the specified ClusterModule
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyClusterModule schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKClusterModule schema
201 - CreatedClusterModule schema
401 - UnauthorizedEmpty

/apis/cluster.alauda.io/v1alpha2/clustermodules/{name}/status

HTTP method
GET
Description
read status of the specified ClusterModule
HTTP responses
HTTP codeResponse body
200 - OKClusterModule schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update status of the specified ClusterModule
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKClusterModule schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace status of the specified ClusterModule
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyClusterModule schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKClusterModule schema
201 - CreatedClusterModule schema
401 - UnauthorizedEmpty